Imprint Data
GET impressum-plus/v1/<option>
To get imprint data via API, the URL structure is:
/wp-json/impressum-plus/v1/<option><option> can be one of the following strings:
all– Returns all available values of the imprintcountry– Returns the countrylegal_entity– Returns the legal entityname– Returns the nameaddress– Returns the addressaddress_alternative– Returns the alternative addressemail– Returns the email addressphone– Returns the phone numberfax– Returns the fax numberpress_law_person– Returns the responsible person for the contentvat_id– Returns the VAT IDcoverage– Returns the coveragefree_text– Returns the free text fieldonline_dispute_resolution– Returns the online dispute resolution stateinspecting_authority– Returns the inspecting authorityregister– Returns the registerbusiness_id– Returns the business IDrepresentative– Returns the representative(s)capital_stock– Returns the capital stockassociate– Returns the associates of the legal entitypending_deposits– Returns the pending depositschamber– Returns the chamberprofessional_association– Returns the professional associationprofessional_liability_insurance– Returns the professional liability insurancelegal_job_title– Returns the legal job titleprofessional_regulations– Returns the professional regulationspress_law_checkbox– Returns 1 if journalistic/editorial content is availabledata_protection_officer_name– Returns the name of the data protection officerdata_protection_officer_address– Returns the address of the data protection officerdata_protection_officer_email– Returns the email address of the data protection officerdata_protection_officer_phone– Returns the phone number of the data protection officersocial_media_facebook– Returns the Facebook profile URLsocial_media_instagram– Returns the Instagram profile URLsocial_media_linkedin– Returns the LinkedIn profile URLsocial_media_mastodon– Returns the Mastodon profile URLsocial_media_pinterest– Returns the Pinterest profile URLsocial_media_tiktok– Returns the TikTok profile URLsocial_media_twitter– Returns the Twitter profile URLsocial_media_xing– Returns the XING profile URLsocial_media_youtube– Returns the YouTube profile URLsocial_media_open_in_new_tab– Returns 1 if social media links open in a new tab
Example return value
json
{
"country": "<string>",
"legal_entity": "<string>",
"name": "<string>",
"address": "<string>",
"address_alternative": "<string>",
"email": "<string>",
"phone": "<string>",
"fax": "<string>",
"press_law_person": "<string>",
"vat_id": "<string>",
"coverage": "<string>",
"free_text": "<string>",
"online_dispute_resolution": "<string>",
"inspecting_authority": "<string>",
"register": "<string>",
"business_id": "<string>",
"representative": "<string>",
"associate": "<string>",
"capital_stock": "<string>",
"pending_deposits": "<string>",
"chamber": "<string>",
"professional_association": "<string>",
"professional_liability_insurance": "<string>",
"legal_job_title": "<string>",
"professional_regulations": "<string>",
"press_law_checkbox": "<string>",
"data_protection_officer_name": "<string>",
"data_protection_officer_address": "<string>",
"data_protection_officer_email": "<string>",
"data_protection_officer_phone": "<string>",
"social_media_facebook": "<string>",
"social_media_instagram": "<string>",
"social_media_linkedin": "<string>",
"social_media_mastodon": "<string>",
"social_media_pinterest": "<string>",
"social_media_tiktok": "<string>",
"social_media_twitter": "<string>",
"social_media_xing": "<string>",
"social_media_youtube": "<string>",
"social_media_open_in_new_tab": "<string>"
}POST impressum-plus/v1/options
To change imprint data via API, the URL structure is the following:
/wp-json/impressum-plus/v1/optionsExample:
shell
curl -d "country=deu&legal_entity=self" -H "Content-Type: application/x-www-form-urlencoded" -H "Authorization: Basic QmVudXR6ZXJuYW1lOlBhc3N3b3J0" -X POST https://www.example.com/wp-json/impressum-plus/v1/optionsAs response you’ll receive a JSON string with the stored imprint data.
POST impressum-plus/v1/titles Since 2.3.0
To change imprint titles via API, the URL structure is the following:
/wp-json/impressum-plus/v1/titlesExample:
shell
curl -d "name=Individual+Name&address=My+Address" -H "Content-Type: application/x-www-form-urlencoded" -H "Authorization: Basic QmVudXR6ZXJuYW1lOlBhc3N3b3J0" -X POST https://www.example.com/wp-json/impressum-plus/v1/optionsAs response you’ll receive a JSON string with the stored imprint metadata.
json
{
"name": {
"name": "Individual Name"
},
"address": {
"name": "My Address"
}
}